Bug 195535 - Yum fails to add enough packages to a transaction
Yum fails to add enough packages to a transaction
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 12:32 EDT by David Juran
Modified: 2014-01-21 17:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-09 23:56:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2006-06-15 12:32:16 EDT
Description of problem:
This is actually a re-submission of a bug originally posted by
<goeran@uddeborg.se> but which was lost in the recent bugzilla crash.

--------------------------------------------------------------

My understanding was that yum would pick up every other package from
repositories needed to perform a requested operation.  I do however occasionally
find that I manually have to add a number of packages on the command line to
resolve all dependencies.  Is this a bug, or do I misunderstand the intention?

As an example, I was going to upgrade some packages to FC5 versions on a machine
the other day.  When I started, I had these version installed:

dbus-0.33-3
hal-0.5.2-2
libgnomecups-0.2.0-2

When I tried "yum upgrade dbus.i386" I got

    Error: Missing Dependency: libdbus-1.so.1 is needed by package libgnomecups
    Error: Unable to satisfy dependencies
    Error: Package gnome-vfs2 needs libdbus-1.so.1, this is not available.
    Error: Package dbus-glib needs libdbus-1.so.1, this is not available.
    Error: Package hal needs libdbus-1.so.1, this is not available.
    Error: Package libgnomecups needs libdbus-1.so.1, this is not available.
    Error: Package dbus-glib needs dbus = 0.33-3, this is not available.

When I tried "yum upgrade libgnomecups.i386" I got

    Error: Unable to satisfy dependencies
    Error: Package hal needs libdbus-glib-1.so.1, this is not available.
    Error: Package gnome-vfs2 needs libdbus-glib-1.so.1, this is not available.
    Error: Package hal needs libdbus-1.so.1, this is not available.
    Error: Package gnome-vfs2 needs libdbus-1.so.1, this is not available.

When I tried "yum upgrade hal.i386" I got

    Error: Missing Dependency: libdbus-glib-1.so.1 is needed by package libgnomecups
    Error: Missing Dependency: libdbus-1.so.1 is needed by package libgnomecups
    Error: Unable to satisfy dependencies
    Error: Package gnome-vfs2 needs libdbus-glib-1.so.1, this is not available.
    Error: Package libgnomecups needs libdbus-glib-1.so.1, this is not available.
    Error: Package gnome-vfs2 needs libdbus-1.so.1, this is not available.
    Error: Package libgnomecups needs libdbus-1.so.1, this is not available.

When I tried adding all these three manually "yum upgrade dbus.i386
libgnomecups.i386 hal.i386" only the last package remained

    Error: Unable to satisfy dependencies
    Error: Package gnome-vfs2 needs libdbus-glib-1.so.1, this is not available.
    Error: Package gnome-vfs2 needs libdbus-1.so.1, this is not available.

Finally adding gnome-vfs2 too to the command line made the transaction succeed.

So I do have a workaround.  But I thought this was the job yum was supposed to
do.  If it is not, then maybe the documentation could be clarified on what one
can expect from yum.



Version-Release number of selected component (if applicable):
yum-2.6.0-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Seth Vidal 2006-07-09 23:56:46 EDT
I've tried and I can't seem to duplicate this.

If you could:

1. try it with yum 2.6.1
2. see if it was just bad repodata - by cleaning out your cache.
 (yum clean metadata)
Comment 2 Göran Uddeborg 2006-07-11 12:10:26 EDT
I cannot easily reproduce the exact same test case.  But similar things seem to
happen to me from time to time, so I'll try your advice next time it happens. 
If I still get the same problem, I'll make a new report.

Note You need to log in before you can comment on or make changes to this bug.